#
# spec file for package perl-XML-NamespaceSupport
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-NamespaceSupport
%define cpan_name XML-NamespaceSupport
Summary:        A simple generic namespace support class
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Version:        1.11
Release:        26.3
Url:            http://search.cpan.org/perldoc?XML::NamespaceSupport
Source:         http://www.cpan.org/modules/by-module/XML/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(version)

%description
This module offers a simple way to process namespaced XML names
(unames) from within any application that may need them. It also helps
maintain a prefix to namespace URI map, and provides a number of basic
checks.

Authors:
--------
    Robin Berjon <robin@knowscape.com>

%prep
%setup -q -n %{cpan_name}-%{version}
%{__sed} -i -e "s,^\(auto_install.*\),#\1,g" Makefile.PL

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?jobs:-j%jobs}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
# normally you only need to check for doc files
%defattr(0644,root,root,0755)
%doc Changes README

%changelog
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Aug 30 2011 andrea.turrini@gmail.com
- standardized "Authors:" format in description of
  perl-XML-NamespaceSupport.spec
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Mar 17 2010 lars@linux-schulserver.de
- update to 1.11:
  + re-generated the META.yml and removed the stale one from git
- updated URL in specfile
- build parallel
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Wed Jul 15 2009 chris@computersalat.de
- fix for failing builds
  o stop auto_install (Makefile.PL)
* Tue Jul 14 2009 chris@computersalat.de
- update to 1.10
  - Release real version since CPAN testers gave us a pass (perigrin)
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o updated desc
- fixed deps
  o BuildReq perl(version)
  o BuildReq perl(YAML::Syck)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jul 31 2005 cthiel@suse.de
- update to version 1.09
* Tue Jun 28 2005 ro@suse.de
- fix permissions
* Mon Nov 15 2004 ro@suse.de
- initial package
